Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry
Class GroundPlane

    java.lang.Object
      de.rico.engine.geometry.AbstractMesh
          de.rico.engine.geometry.MeshDL
              de.rico.engine.geometry.AbstractGroundMesh
                  de.rico.engine.geometry.GroundPlane

    public class GroundPlane

extends AbstractGroundMesh

This class represents a simple plain ground mesh. A ground plain should always be located at the origin (0f,0f,0f).

Author:
  Frank Bruns

Constructor Summary
`GroundPlane(int size, float texRepeat)` Creates a new ground plane with the specified size.
`GroundPlane(int size, float texRepeat, BoundingVolume type)` Creates a new ground plane with the specified size.

Method Summary
`int` | `getSize()` Returns the size of the ground plane.
`float` | `getTexRepeat()` Retruns the texture repeat factor of the ground plane.

Methods inherited from class de.rico.engine.geometry.AbstractGroundMesh
`getLength, getSearchGrid, getWidth, initSearchGrid`

Methods inherited from class de.rico.engine.geometry.MeshDL
`addFace, destroy, draw, finishModel, getDisplayListId, getFaces, getFacesTransformed, specializedDraw, update`

Methods inherited from class de.rico.engine.geometry.AbstractMesh
`addShader, drawShaders, getBoundingVolume, getHeightOffset, getMaterial, getMouseOverMesh, getName, getPosition, getPosX, getPosY, getPosZ, getRotation, getRotX, getRotY, getRotZ, getScaleX, getScaleY, getScaleZ, getTex0Path, getTex1Path, getText0XMovement, getText0YMovement, getText1XMovement, getText1YMovement, getTexUnit0, getTexUnit1, isCollidable, isDrawingEnabled, isEnabledOcclusionCulling, isMouseOverMesh, isOccluded, isPickable, isShadowEnabled, isSmoothShaded, isTex0Flipped, isTex0MipMapped, isTex0Rotated, isTex1Flipped, isTex1MipMapped, isTex1Rotated, moveBackwardsGlobal, moveBackwardsLocal, moveDownGlobal, moveForwardGlobal, moveForwardLocal, moveLeftGlobal, moveLeftLocal, moveRightGlobal, moveRightLocal, moveTo, moveUpGlobal, performTransformations, rotateDown, rotateLeft, rotateRight, rotateUp, scale, setAttachedGround, setBlendDestFactor, setBlendFunction, setBlendSourceFactor, setCollidable, setDrawingEnabled, setEnabledOcclusionCulling, setEnvironmentMap, setMaterial, setName, setPickable, setPosition, setPosition, setPosX, setPosY, setPosZ, setRotation, setRotation, setRotX, setRotY, setRotZ, setScaleX, setScaleY, setScaleZ, setShadowEnabled, setShowBoundingVolume, setTex0Movement, setTex0TexEnvirMode, setTex0XMovement, setTex0YMovement, setTex1Movement, setTex1TexEnvirMode, setTex1XMovement, setTex1YMovement, setTexUnit0, setTexUnit0, setTexUnit1, setTexUnit1, setTransparency, showWireFrame, translateX, translateY, translateZ`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroundPlane

    public GroundPlane(int size,
                       float texRepeat)

  Creates a new ground plane with the specified size.
  Note: You have to use power of two values for the size. If you don't do, the mesh will use the nearest power of two value to your specified value

  Parameters:
    `size` - size of the plane (needs to be power of two)
    `texRepeat` - applies the potential texture of the plane the number of times in both directions (1f means no repeat)

### GroundPlane

    public GroundPlane(int size,
                       float texRepeat,
                       BoundingVolume type)

  Creates a new ground plane with the specified size.
  Note: You have to use power of two values for the size. If you don't do, the mesh will use the nearest power of two value to your specified value

  Parameters:
    `size` - size of the plane (needs to be power of two)
    `texRepeat` - applies the potential texture of the plane
    `type` - value from the BoundingVolume enumeration the number of times in both directions (1f means no repeat)

Method Detail

### getSize

    public int getSize()

  Returns the size of the ground plane.

  Returns:
    size of the plane

### getTexRepeat

    public float getTexRepeat()

  Retruns the texture repeat factor of the ground plane.

  Returns:
    texture repeat factor of the ground plane

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD